<template>
  <v-card class="ma-2" variant="outlined">
    <p class="pa-2">Voulez vous vraiment supprimer cette checklist ?</p>
    <v-card-actions>
      <v-row class="ma-0" align="center" justify="end">
        <v-btn
          ref="confirmDeleteBtn"
          class="mr-2"
          variant="elevated"
          color="green"
          @click.stop="$emit('DELETE')"
        >Confirmer</v-btn>
        <v-btn
          color="red"
          variant="elevated"
          @click.stop="$emit('CANCEL')"
        >Annuler</v-btn>
      </v-row>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: "contenu-supression-carte-checklist",
  mounted() {
    this.$refs.confirmDeleteBtn.$el.focus()
  }
}
</script>

<style lang="scss" scoped>

</style>